diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index 466df65dd9..6da2f814bb 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -5763,73 +5763,71 @@ (define-public greetd-pam-mount
 interfering with any pam-mount configuration.")))
 
 (define-public wlgreet
-  (let ((commit "7e79d6004fc5e765a5c3ece6d377f8c5999d9dfa")
-        (revision "1"))
-    (package
-      (name "wlgreet")
-      (version (git-version "0.4.1" revision commit))
-      (source (origin
-                (method git-fetch)
-                (uri (git-reference
-                      (url "https://git.sr.ht/~kennylevinsen/wlgreet")
-                      (commit commit)))
-                (file-name (git-file-name name version))
-                (sha256
-                 (base32
-                  "039a05v6c2i3al86k4fncqr3z47dnrz7y8wmhx6wvm08zx8s89ww"))))
-      (build-system cargo-build-system)
-      (arguments
-       (list #:cargo-inputs
-             `(("rust-chrono" ,rust-chrono-0.4)
-               ("rust-getopts" ,rust-getopts-0.2)
-               ("rust-greetd-ipc" ,rust-greetd-ipc-0.9)
-               ("rust-lazy-static" ,rust-lazy-static-1)
-               ("rust-memmap2" ,rust-memmap2-0.3)
-               ("rust-nix" ,rust-nix-0.25)
-               ("rust-os-pipe" ,rust-os-pipe-1)
-               ("rust-rusttype" ,rust-rusttype-0.9)
-               ("rust-serde" ,rust-serde-1)
-               ("rust-smithay-client-toolkit"
-                ,rust-smithay-client-toolkit-0.15)
-               ("rust-toml" ,rust-toml-0.5)
-               ("rust-wayland-client" ,rust-wayland-client-0.29)
-               ("rust-wayland-protocols" ,rust-wayland-protocols-0.29))
-             #:phases
-             #~(modify-phases %standard-phases
-                 (add-after 'unpack 'remove-bundled-fonts
-                   (lambda _
-                     (delete-file-recursively "fonts")))
-                 (add-after 'remove-bundled-fonts 'fix-font-references
-                   (lambda* (#:key inputs #:allow-other-keys)
-                     (substitute* "src/draw.rs"
-                       (("\\.\\./fonts/dejavu/DejaVuSansMono\\.ttf" _)
-                        (search-input-file
-                         inputs
-                         "share/fonts/truetype/DejaVuSansMono.ttf"))
-                       (("\\.\\./fonts/Roboto-Regular\\.ttf" _)
-                        (search-input-file
-                         inputs
-                         "share/fonts/truetype/Roboto-Regular.ttf")))))
-                 (add-after 'configure 'fix-library-references
-                   (lambda* (#:key inputs vendor-dir #:allow-other-keys)
-                     (substitute* (find-files vendor-dir "\\.rs$")
-                       (("lib(wayland-.*|xkbcommon)\\.so" so-file)
-                        (search-input-file
-                         inputs
-                         (string-append "lib/" so-file)))))))))
-      (inputs
-       (list font-dejavu
-             font-google-roboto
-             libxkbcommon
-             wayland))
-      (home-page "https://git.sr.ht/~kennylevinsen/wlgreet")
-      (synopsis "Bare-bones Wayland-based greeter for @command{greetd}")
-      (description
-       "@command{wlgreet} provides a @command{greetd} greeter
+  (package
+    (name "wlgreet")
+    (version "0.5.0")
+    (source (origin
+              (method git-fetch)
+              (uri (git-reference
+                    (url "https://git.sr.ht/~kennylevinsen/wlgreet")
+                    (commit version)))
+              (file-name (git-file-name name version))
+              (sha256
+               (base32
+                "0d7lfx5jg2w7fp7llwrirnbsp27nv74f21mhrspd9ilk2cacf12d"))))
+    (build-system cargo-build-system)
+    (arguments
+     (list #:cargo-inputs
+           `(("rust-chrono" ,rust-chrono-0.4)
+             ("rust-getopts" ,rust-getopts-0.2)
+             ("rust-greetd-ipc" ,rust-greetd-ipc-0.10)
+             ("rust-lazy-static" ,rust-lazy-static-1)
+             ("rust-memmap2" ,rust-memmap2-0.3)
+             ("rust-nix" ,rust-nix-0.25)
+             ("rust-os-pipe" ,rust-os-pipe-1)
+             ("rust-rusttype" ,rust-rusttype-0.9)
+             ("rust-serde" ,rust-serde-1)
+             ("rust-smithay-client-toolkit"
+              ,rust-smithay-client-toolkit-0.15)
+             ("rust-toml" ,rust-toml-0.5)
+             ("rust-wayland-client" ,rust-wayland-client-0.29)
+             ("rust-wayland-protocols" ,rust-wayland-protocols-0.29))
+           #:phases
+           #~(modify-phases %standard-phases
+               (add-after 'unpack 'remove-bundled-fonts
+                 (lambda _
+                   (delete-file-recursively "fonts")))
+               (add-after 'remove-bundled-fonts 'fix-font-references
+                 (lambda* (#:key inputs #:allow-other-keys)
+                   (substitute* "src/draw.rs"
+                     (("\\.\\./fonts/dejavu/DejaVuSansMono\\.ttf" _)
+                      (search-input-file
+                       inputs
+                       "share/fonts/truetype/DejaVuSansMono.ttf"))
+                     (("\\.\\./fonts/Roboto-Regular\\.ttf" _)
+                      (search-input-file
+                       inputs
+                       "share/fonts/truetype/Roboto-Regular.ttf")))))
+               (add-after 'configure 'fix-library-references
+                 (lambda* (#:key inputs vendor-dir #:allow-other-keys)
+                   (substitute* (find-files vendor-dir "\\.rs$")
+                     (("lib(wayland-.*|xkbcommon)\\.so" so-file)
+                      (search-input-file
+                       inputs
+                       (string-append "lib/" so-file)))))))))
+    (inputs
+     (list font-dejavu
+           font-google-roboto
+           libxkbcommon
+           wayland))
+    (home-page "https://git.sr.ht/~kennylevinsen/wlgreet")
+    (synopsis "Bare-bones Wayland-based greeter for @command{greetd}")
+    (description
+     "@command{wlgreet} provides a @command{greetd} greeter
 that runs on a Wayland compositor such as @command{sway}.  It
 is implemented with pure Wayland APIs, so it does not depend
 on a GUI toolkit.")
-      (license license:gpl3))))
+    (license license:gpl3)))
 
 (define-public libseat
   (package
diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 1587abe3bb..6869976517 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -32262,52 +32262,30 @@ (define-public rust-graphql-parser-0.3
 language and scheme definition language (sometimes called IDL).")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-greetd-ipc-0.9
+(define-public rust-greetd-ipc-0.10
   (package
     (name "rust-greetd-ipc")
-    (version "0.9.0")
+    (version "0.10.3")
     (source
      (origin
        (method url-fetch)
        (uri (crate-uri "greetd_ipc" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1xl2cix3jv4sgigl5ijayab7rchr6v02za2qd87fv1z8dl1r14w3"))))
+        (base32 "0y1095qwmiwpm94z3vgbklbnlp088pi6vd1isp8l584izidjw3bh"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:cargo-inputs
-       (("rust-async-trait" ,rust-async-trait-0.1)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-json" ,rust-serde-json-1)
-        ("rust-thiserror" ,rust-thiserror-1)
-        ("rust-tokio" ,rust-tokio-1))))
+     `(#:cargo-inputs (("rust-async-trait" ,rust-async-trait-0.1)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-serde-json" ,rust-serde-json-1)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-tokio" ,rust-tokio-1))))
     (home-page "https://kl.wtf/projects/greetd")
-    (synopsis "@command{greetd} IPC protocol library for Rust")
+    (synopsis "An implementation of the greetd IPC protocol")
     (description
-     "This package provides library that helps you use the
-@command{greetd} JSON-based IPC protocol from Rust.")
+     "This package provides An implementation of the greetd IPC protocol.")
     (license license:gpl3)))
 
-(define-public rust-greetd-ipc-0.8
-  (package
-    (inherit rust-greetd-ipc-0.9)
-    (name "rust-greetd-ipc")
-    (version "0.8.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "greetd_ipc" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "1dscriv3adjyaxfaax3cmqrzx6q2vwwchbh86dhll783wjc4ivw0"))))
-    (arguments
-     (list #:cargo-inputs
-           `(("rust-async-trait" ,rust-async-trait-0.1)
-             ("rust-serde" ,rust-serde-1)
-             ("rust-serde-json" ,rust-serde-json-1)
-             ("rust-thiserror" ,rust-thiserror-1)
-             ("rust-tokio" ,rust-tokio-1))))))
-
 (define-public rust-grep-0.3
   (package
     (name "rust-grep")