diff --git a/gnu/packages/admin.scm b/gnu/packages/admin.scm
index d7ae926809..c6c5188d81 100644
--- a/gnu/packages/admin.scm
+++ b/gnu/packages/admin.scm
@@ -6244,6 +6244,38 @@ (define-public fail2ban
               (modules '((guix build utils)))
               (snippet
                '(begin
+                  ;; deleting things that are not feasible to fix
+                  ;; or won't be used any way
+                  (with-directory-excursion "config"
+                    (for-each delete-file
+                              '("paths-arch.conf"
+                                "paths-debian.conf"
+                                "paths-fedora.conf"
+                                "paths-freebsd.conf"
+                                "paths-opensuse.conf"
+                                "paths-osx.conf")))
+                  (with-directory-excursion "config/action.d"
+                    (for-each delete-file
+                              '("apf.conf"
+                                "bsd-ipfw.conf"
+                                "dshield.conf"
+                                "ipfilter.conf"
+                                "ipfw.conf"
+                                "firewallcmd-allports.conf"
+                                "firewallcmd-common.conf"
+                                "firewallcmd-ipset.conf"
+                                "firewallcmd-multiport.conf"
+                                "firewallcmd-new.conf"
+                                "firewallcmd-rich-logging.conf"
+                                "firewallcmd-rich-rules.conf"
+                                "osx-afctl.conf"
+                                "osx-ipfw.conf"
+                                "pf.conf"
+                                "nginx-block-map.conf"
+                                "npf.conf"
+                                "shorewall.conf"
+                                "shorewall-ipset-proto6.conf"
+                                "ufw.conf")))
                   ;; Get rid of absolute file names.
                   (substitute* "setup.py"
                     (("/etc/fail2ban")
@@ -6305,38 +6337,6 @@ (define-public fail2ban
                                         "/etc/fail2ban")))))
                   (add-after 'fix-default-config 'set-action-dependencies
                     (lambda* (#:key inputs #:allow-other-keys)
-                      ;; deleting things that are not feasible to fix
-                      ;; or won't be used any way
-                      (with-directory-excursion "config"
-                        (for-each delete-file
-                                  '("paths-arch.conf"
-                                    "paths-debian.conf"
-                                    "paths-fedora.conf"
-                                    "paths-freebsd.conf"
-                                    "paths-opensuse.conf"
-                                    "paths-osx.conf")))
-                      (with-directory-excursion "config/action.d"
-                        (for-each delete-file
-                                  '("apf.conf"
-                                    "bsd-ipfw.conf"
-                                    "dshield.conf"
-                                    "ipfilter.conf"
-                                    "ipfw.conf"
-                                    "firewallcmd-allports.conf"
-                                    "firewallcmd-common.conf"
-                                    "firewallcmd-ipset.conf"
-                                    "firewallcmd-multiport.conf"
-                                    "firewallcmd-new.conf"
-                                    "firewallcmd-rich-logging.conf"
-                                    "firewallcmd-rich-rules.conf"
-                                    "osx-afctl.conf"
-                                    "osx-ipfw.conf"
-                                    "pf.conf"
-                                    "nginx-block-map.conf"
-                                    "npf.conf"
-                                    "shorewall.conf"
-                                    "shorewall-ipset-proto6.conf"
-                                    "ufw.conf")))
                       (let* ((lookup-cmd (lambda (i)
                                            (search-input-file inputs i)))
                              (bin (lambda (i)